/***************************************************************************
Copyright 2000-2001 ATMEL Corporation.

This file is part of atmel wireless lan drivers.

Atmel wireless lan drivers is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Atmel wireless lan drivers is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Atmel wireless lan drivers; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

***************************************************************************/
#ifndef __config_h_OK__
#define __config_h_OK__
#define VNetVID_CUSTOM 0x3
#define VNetPID_CUSTOM 0x3


struct usb_device_id __devinitdata vnet_usb_id[] = {
#ifdef CUSTOM_PIDVID
	{USB_DEVICE(VNetVID_CUSTOM, VNetPID_CUSTOM)},
#elif defined(RFMD)
	{USB_DEVICE(VNetVID, VNetPID_RFMD)},
#elif defined(i3863)
	{USB_DEVICE(VNetVID, VNetPID_3863)},
#else
	{USB_DEVICE(VNetVID, VNetPID_3861)},
#endif
	{ }
};

#ifdef CUSTOM_PIDVID
USHORT VNET_VIDS = VNetVID_CUSTOM;
#else
USHORT VNET_VIDS = VNetVID;
#endif

#ifdef CUSTOM_PIDVID
USHORT VNET_PIDS = VNetPID_CUSTOM;
#elif defined(RFMD)
USHORT VNET_PIDS = VNetPID_RFMD;
#elif defined(i3863)
USHORT VNET_PIDS = VNetPID_3863;
#else
USHORT VNET_PIDS = VNetPID_3861;
#endif

#endif
